[gccsdk] RePackaging using trunk GCC instead of 4.1.2

Lee Noar leenoar at sky.com
Sun Jan 5 04:20:45 PST 2014


On 03/01/14 16:11, Alan Buckley wrote:
> All the packages currently are static libraries or binaries.
> Would the static libraries be compatible with both compilers?
> If they are, it sounds as if I could switch to 4.7 immediately.

As long as the C++ ABI didn't change between the two (in which case
the name mangling scheme changes and AFAIK it hasn't), then I can't
see any reason why the static libraries couldn't be mixed.

Lee.





More information about the gcc mailing list